summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-11-28 07:25:32 +0000
committer Eric Hameleers <alien@slackware.com>2018-11-28 17:59:44 +0100
commit388986876373b8d6d9053c36196978464bd3362e (patch)
tree2447049c22eb45bd771fa0132638b508ecff9992 /source
parentbec25255185f3eb2e43abf4a495c275fe3c70fbf (diff)
downloadcurrent-388986876373b8d6d9053c36196978464bd3362e.tar.gz
current-388986876373b8d6d9053c36196978464bd3362e.tar.xz
Wed Nov 28 07:25:32 UTC 201820181128072532
a/elilo-3.16-x86_64-9.txz: Rebuilt. eliloconfig: don't assume that mount output lists the / partition first. a/f2fs-tools-1.12.0-x86_64-1.txz: Added. a/kernel-generic-4.19.5-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.5-x86_64-1.txz: Upgraded. CRYPTO_CRC32 m -> y F2FS_FS m -> y a/kernel-modules-4.19.5-x86_64-1.txz: Upgraded. a/sysvinit-scripts-2.1-noarch-22.txz: Rebuilt. rc.S: if we're using F2FS for the root filesystem, don't try to check it as fsck.f2fs throws an error on trying to check a read-only filesystem. d/clisp-2.49_20181112_df3b9f6fd-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.5-x86-1.txz: Upgraded. k/kernel-source-4.19.5-noarch-1.txz: Upgraded. l/graphite2-1.3.12-x86_64-1.txz: Added. Required by harfbuzz in order to use it as a system library for TeXlive. l/harfbuzz-2.1.3-x86_64-1.txz: Upgraded. Requires graphite2-1.3.12. t/texlive-2018.180822-x86_64-4.txz: Rebuilt. Use system harfbuzz, not the bundled version. isolinux/initrd.img: Rebuilt. Activate LVM volumes at boot, not only when setup is run. Make /etc/mtab a symlink to /proc/mounts on the installer. On a freshly installed system, make /etc/mtab a symlink to /proc/mounts. Include f2fs-tools on the installer. Support installing on F2FS partitions. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/elilo/elilo.SlackBuild2
-rw-r--r--source/a/elilo/eliloconfig4
-rwxr-xr-xsource/a/f2fs-tools/f2fs-tools.SlackBuild159
-rw-r--r--source/a/f2fs-tools/slack-desc19
-rw-r--r--source/a/sysvinit-scripts/scripts/rc.S9
-rwxr-xr-xsource/a/sysvinit-scripts/sysvinit-scripts.SlackBuild2
-rw-r--r--source/installer/ChangeLog.txt7
-rwxr-xr-xsource/installer/build_installer.sh2
l---------source/installer/sources/initrd/etc/mounts1
-rw-r--r--source/installer/sources/initrd/etc/mtab0
-rwxr-xr-xsource/installer/sources/initrd/etc/rc.d/rc.S4
-rwxr-xr-xsource/installer/sources/initrd/usr/lib/setup/SeTpartitions32
-rwxr-xr-xsource/installer/sources/initrd/usr/lib/setup/setup6
-rw-r--r--source/k/kernel-configs/config-generic-4.19.5 (renamed from source/k/kernel-configs/config-generic-4.19.4)2
-rw-r--r--source/k/kernel-configs/config-generic-4.19.5.x64 (renamed from source/k/kernel-configs/config-generic-4.19.4.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-4.19.5-smp (renamed from source/k/kernel-configs/config-generic-smp-4.19.4-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.5 (renamed from source/k/kernel-configs/config-huge-4.19.4)6
-rw-r--r--source/k/kernel-configs/config-huge-4.19.5.x64 (renamed from source/k/kernel-configs/config-huge-4.19.4.x64)6
-rw-r--r--source/k/kernel-configs/config-huge-smp-4.19.5-smp (renamed from source/k/kernel-configs/config-huge-smp-4.19.4-smp)6
-rwxr-xr-xsource/l/graphite2/graphite2.SlackBuild116
-rw-r--r--source/l/graphite2/graphite2.url2
-rw-r--r--source/l/graphite2/slack-desc19
-rwxr-xr-xsource/l/harfbuzz/harfbuzz.SlackBuild6
-rwxr-xr-xsource/t/texlive/texlive.SlackBuild5
24 files changed, 395 insertions, 24 deletions
diff --git a/source/a/elilo/elilo.SlackBuild b/source/a/elilo/elilo.SlackBuild
index 933a67b55..b4c2e98e0 100755
--- a/source/a/elilo/elilo.SlackBuild
+++ b/source/a/elilo/elilo.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=elilo
VERSION=${VERSION:-$(echo $PKGNAM*.tar.?z* | rev | cut -f 2 -d - | rev)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-9}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/a/elilo/eliloconfig b/source/a/elilo/eliloconfig
index 43616d563..e1866859a 100644
--- a/source/a/elilo/eliloconfig
+++ b/source/a/elilo/eliloconfig
@@ -63,7 +63,7 @@ if [ "$ROOT_DEVICE" = "" ]; then
if [ -r $TMP/SeTrootdev ]; then
ROOT_DEVICE="$(cat $TMP/SeTrootdev)"
else
- ROOT_DEVICE="$(mount | cut -f 1 -d ' ' | head -n 1)"
+ ROOT_DEVICE="$(mount | grep ' / ' | cut -f 1 -d ' ' | head -n 1)"
fi
fi
@@ -196,9 +196,11 @@ entry? This is recommended.\n\nOld EFI boot menu entry:\n$ENTRY" 13 70
fi
# Remove the boot entry:
efibootmgr -q -B -b $(echo $line | cut -b5-8)
+ sleep 1
done
efibootmgr -q -c -d $EFI_DEVICE -p $EFI_PARTITION -l "\\EFI\\Slackware\\elilo.efi" -L "Slackware"
+sleep 1
efibootmgr -v | rev | cut -f 2- | rev | grep Boot0 | grep Slackware | while read line ; do
# Reject entries that don't exactly match as not our business
diff --git a/source/a/f2fs-tools/f2fs-tools.SlackBuild b/source/a/f2fs-tools/f2fs-tools.SlackBuild
new file mode 100755
index 000000000..7fbded7b4
--- /dev/null
+++ b/source/a/f2fs-tools/f2fs-tools.SlackBuild
@@ -0,0 +1,159 @@
+#!/bin/bash
+
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=f2fs-tools
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+NOCONFIGURE=1 sh ./autogen.sh
+
+# Configure, build, and install:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Don't ship sg_write_buffer - it comes with sg_utils:
+rm -f $PKG/usr/sbin/sg_write_buffer
+
+# Move libraries out of /usr:
+mkdir $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in lib*.so.?.* ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+ cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
+)
+
+# Move some tools out of /usr:
+mkdir -p $PKG/sbin
+( cd $PKG/usr/sbin
+ for file in defrag.f2fs dump.f2fs fsck.f2fs mkfs.f2fs resize.f2fs sload.f2fs ; do
+ mv $file ../../sbin
+ ln -sf ../../sbin/$file .
+ done
+)
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog COPYING* LICENSE* NEWS* README* THANKS* TODO* VERSION* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/a/f2fs-tools/slack-desc b/source/a/f2fs-tools/slack-desc
new file mode 100644
index 000000000..8359ea76b
--- /dev/null
+++ b/source/a/f2fs-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+f2fs-tools: f2fs-tools (Flash-Friendly File System)
+f2fs-tools:
+f2fs-tools: F2FS is a new file system designed for NAND flash memory-based storage
+f2fs-tools: devices. It uses a log structure file system approach adapted for this
+f2fs-tools: type of storage, and supports various parameters not only for
+f2fs-tools: configuring on-disk layout, but also for selecting allocation and
+f2fs-tools: cleaning algorithms.
+f2fs-tools:
+f2fs-tools: Homepage:
+f2fs-tools: https://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git
+f2fs-tools:
diff --git a/source/a/sysvinit-scripts/scripts/rc.S b/source/a/sysvinit-scripts/scripts/rc.S
index e689e4589..a382bd556 100644
--- a/source/a/sysvinit-scripts/scripts/rc.S
+++ b/source/a/sysvinit-scripts/scripts/rc.S
@@ -229,8 +229,13 @@ if [ -r /etc/forcefsck ]; then
FORCEFSCK="-f"
fi
-# Check the root filesystem:
-if [ ! $READWRITE = yes ]; then
+# If we're using F2FS for the root filesystem, don't check it as it doesn't
+# allow checking a read-only filesystem:
+if [ "$(cat /etc/fstab | tr '\t' ' ' | tr -s ' ' | grep ' / ' | cut -f 3 -d ' ')" = "f2fs" ]; then
+ echo "Remounting root device with read-write enabled."
+ /sbin/mount -w -v -n -o remount /
+elif [ ! $READWRITE = yes ]; then
+ # Check the root filesystem:
RETVAL=0
if [ ! -r /etc/fastboot ]; then
echo "Checking root filesystem:"
diff --git a/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild b/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild
index 9b3575966..aafd0143a 100755
--- a/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild
+++ b/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sysvinit-scripts
VERSION=${VERSION:-2.1}
ARCH=noarch
-BUILD=${BUILD:-21}
+BUILD=${BUILD:-22}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
diff --git a/source/installer/ChangeLog.txt b/source/installer/ChangeLog.txt
index 2433f8890..d45c552e4 100644
--- a/source/installer/ChangeLog.txt
+++ b/source/installer/ChangeLog.txt
@@ -1,3 +1,10 @@
+Wed Nov 28 05:31:04 UTC 2018
+ Activate LVM volumes at boot, not only when setup is run.
+ Make /etc/mtab a symlink to /proc/mounts on the installer.
+ On a freshly installed system, make /etc/mtab a symlink to /proc/mounts.
+ Include f2fs-tools on the installer.
+ Support installing on F2FS partitions.
++--------------------------+
Wed Oct 10 22:41:29 UTC 2018
Added Hyper-V keyboard and framebuffer modules.
+--------------------------+
diff --git a/source/installer/build_installer.sh b/source/installer/build_installer.sh
index a358e1802..de380a5f9 100755
--- a/source/installer/build_installer.sh
+++ b/source/installer/build_installer.sh
@@ -795,6 +795,7 @@ a/dosfstools \
a/e2fsprogs \
a/efivar \
a/etc \
+a/f2fs-tools \
a/gptfdisk \
a/grep \
a/gzip \
@@ -1088,6 +1089,7 @@ cp -fa${VERBOSE1} \
libcrypto*so* \
libcryptsetup*.so* \
libdevmapper*so* \
+ libf2fs.so* \
libfdisk.so* \
libgcc*so* \
libgcrypt*.so* \
diff --git a/source/installer/sources/initrd/etc/mounts b/source/installer/sources/initrd/etc/mounts
new file mode 120000
index 000000000..4c0a0948b
--- /dev/null
+++ b/source/installer/sources/initrd/etc/mounts
@@ -0,0 +1 @@
+/proc/mounts \ No newline at end of file
diff --git a/source/installer/sources/initrd/etc/mtab b/source/installer/sources/initrd/etc/mtab
deleted file mode 100644
index e69de29bb..000000000
--- a/source/installer/sources/initrd/etc/mtab
+++ /dev/null
diff --git a/source/installer/sources/initrd/etc/rc.d/rc.S b/source/installer/sources/initrd/etc/rc.d/rc.S
index 38317b4df..fcd5fea2c 100755
--- a/source/installer/sources/initrd/etc/rc.d/rc.S
+++ b/source/installer/sources/initrd/etc/rc.d/rc.S
@@ -167,6 +167,10 @@ vgscan --mknodes 2> /tmp/foo
cat /tmp/foo | uniq
rm -f /tmp/foo
+# Activate LVM volumes:
+echo "Activating LVM volumes:"
+vgchange -ay
+
if [ -x /etc/rc.d/rc.font ]; then
/bin/sh /etc/rc.d/rc.font
fi
diff --git a/source/installer/sources/initrd/usr/lib/setup/SeTpartitions b/source/installer/sources/initrd/usr/lib/setup/SeTpartitions
index 34819701f..279edd94a 100755
--- a/source/installer/sources/initrd/usr/lib/setup/SeTpartitions
+++ b/source/installer/sources/initrd/usr/lib/setup/SeTpartitions
@@ -17,6 +17,24 @@ crunch () {
echo $STRING
}
+# make_f2fs( dev ) - Create a new f2fs filesystem on the named dev.
+# Parameters: dev Device node to format.
+make_f2fs() {
+ # get the size of the named partition
+ SIZE=`get_part_size $1`
+ # output a nice status message
+ dialog --title "FORMATTING" \
+ --backtitle "Formatting $1 with filesystem f2fs." \
+ --infobox "Formatting $1 \n\
+Size: $SIZE \n\
+Filesystem type: f2fs " 0 0
+ # do the format
+ if mount | grep "$1 " 1> $NDIR 2> $NDIR ; then
+ umount $1 2> $NDIR
+ fi
+ mkfs.f2fs -f $1 1> $REDIR 2> $REDIR
+}
+
# make_btrfs( dev ) - Create a new btrfs filesystem on the named dev.
# Parameters: dev Device node to format.
make_btrfs() {
@@ -220,7 +238,7 @@ to format this partition?" 12 70 3 \
# ask_fs( dev ) - Asks the user the type of filesystem to use for the named
# device. Answer in $TMP/return
ask_fs() {
- unset BTRFS EXT2 EXT3 JFS REISERFS XFS
+ unset BTRFS EXT2 EXT3 F2FS JFS REISERFS XFS
if grep -wq ext2 /proc/filesystems 1> $NDIR 2> $NDIR ; then
EXT2="Ext2 is the traditional Linux file system and is fast and stable. "
fi
@@ -238,6 +256,9 @@ ask_fs() {
if grep -wq btrfs /proc/filesystems 1> $NDIR 2> $NDIR ; then
BTRFS="Btrfs is a B-tree copy-on-write filesystem. "
fi
+ if grep -wq f2fs /proc/filesystems 1> $NDIR 2> $NDIR ; then
+ F2FS="F2FS is a Flash-Friendly File System. "
+ fi
# These last two will only be present if the user asked for a special kernel.
# They should probably be the default in that case.
if grep -wq jfs /proc/filesystems 1> $NDIR 2> $NDIR ; then
@@ -251,7 +272,7 @@ dialog --title "SELECT FILESYSTEM FOR $1" \\
--backtitle "Partition $1 will be formatted." \\
--default-item $DEFAULT --menu \\
"Please select the type of filesystem to use for the specified \\
-device. Here are descriptions of the available filesystems: $EXT2 $EXT3 $EXT4 $JFS $REISERFS $XFS" \\
+device. Here are descriptions of the available filesystems: $EXT2 $EXT3 $EXT4 $BTRFS $F2FS $JFS $REISERFS $XFS" \\
0 0 0 \\
EOF
if [ ! "$EXT2" = "" ]; then
@@ -272,6 +293,9 @@ EOF
if [ ! "$BTRFS" = "" ]; then
echo "\"btrfs\" \"Btrfs Copy-on-Write B-tree Filesystem\" \\" >> $TMP/tempscript
fi
+ if [ ! "$F2FS" = "" ]; then
+ echo "\"f2fs\" \"Flash-Friendly File System\" \\" >> $TMP/tempscript
+ fi
if [ ! "$XFS" = "" ]; then
echo "\"xfs\" \"SGI's Journaling Filesystem\" \\" >> $TMP/tempscript
fi
@@ -352,6 +376,8 @@ if [ ! "$DOFORMAT" = "No" ]; then
make_reiserfs $ROOT_DEVICE
elif [ "$ROOT_SYS_TYPE" = "btrfs" ]; then
make_btrfs $ROOT_DEVICE
+ elif [ "$ROOT_SYS_TYPE" = "f2fs" ]; then
+ make_f2fs $ROOT_DEVICE
elif [ "$ROOT_SYS_TYPE" = "jfs" ]; then
if [ "$DOFORMAT" = "Check" ]; then
make_jfs $ROOT_DEVICE "y"
@@ -454,6 +480,8 @@ EOF
make_reiserfs $NEXT_PARTITION
elif [ "$NEXT_SYS_TYPE" = "btrfs" ]; then
make_btrfs $NEXT_PARTITION
+ elif [ "$NEXT_SYS_TYPE" = "f2fs" ]; then
+ make_f2fs $NEXT_PARTITION
elif [ "$NEXT_SYS_TYPE" = "jfs" ]; then
if [ "$DOFORMAT" = "Check" ]; then
make_jfs $NEXT_PARTITION "y"
diff --git a/source/installer/sources/initrd/usr/lib/setup/setup b/source/installer/sources/initrd/usr/lib/setup/setup
index f30064a0f..7932fecae 100755
--- a/source/installer/sources/initrd/usr/lib/setup/setup
+++ b/source/installer/sources/initrd/usr/lib/setup/setup
@@ -304,6 +304,12 @@ to choose packages individually." 4 60
done
export MAKETAG;
sleep 1
+ # On a new system, make /etc/mtab a symlink to /proc/mounts:
+ if [ ! -r $T_PX/etc/mtab ]; then
+ mkdir -p $T_PX/etc
+ ( cd $T_PX/etc ; ln -sf /proc/mounts mtab )
+ fi
+ # Do the package install:
if [ -r $TMP/SeTCDdev ]; then # only try to remount media if it's a CD/DVD
slackinstall --device `cat $TMP/SeTCDdev` --promptmode $MODE --srcpath `cat $TMP/SeTDS` --mountpoint /var/log/mount --target $T_PX --series $SERIES
elif [ -r $TMP/SeTremotesvr ]; then
diff --git a/source/k/kernel-configs/config-generic-4.19.4 b/source/k/kernel-configs/config-generic-4.19.5
index 7f0154e8b..1bfed66d8 100644
--- a/source/k/kernel-configs/config-generic-4.19.4
+++ b/source/k/kernel-configs/config-generic-4.19.5
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.4 Kernel Configuration
+# Linux/x86 4.19.5 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-4.19.4.x64 b/source/k/kernel-configs/config-generic-4.19.5.x64
index 881d6c503..5c0812044 100644
--- a/source/k/kernel-configs/config-generic-4.19.4.x64
+++ b/source/k/kernel-configs/config-generic-4.19.5.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.4 Kernel Configuration
+# Linux/x86 4.19.5 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-smp-4.19.4-smp b/source/k/kernel-configs/config-generic-smp-4.19.5-smp
index bc1af190c..d6c095e2b 100644
--- a/source/k/kernel-configs/config-generic-smp-4.19.4-smp
+++ b/source/k/kernel-configs/config-generic-smp-4.19.5-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.4 Kernel Configuration
+# Linux/x86 4.19.5 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.4 b/source/k/kernel-configs/config-huge-4.19.5
index dcccd2376..985874b9f 100644
--- a/source/k/kernel-configs/config-huge-4.19.4
+++ b/source/k/kernel-configs/config-huge-4.19.5
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.4 Kernel Configuration
+# Linux/x86 4.19.5 Kernel Configuration
#
#
@@ -7388,7 +7388,7 @@ CONFIG_BTRFS_FS_POSIX_ACL=y
# CONFIG_BTRFS_ASSERT is not set
# CONFIG_BTRFS_FS_REF_VERIFY is not set
CONFIG_NILFS2_FS=m
-CONFIG_F2FS_FS=m
+CONFIG_F2FS_FS=y
CONFIG_F2FS_STAT_FS=y
CONFIG_F2FS_FS_XATTR=y
CONFIG_F2FS_FS_POSIX_ACL=y
@@ -7796,7 +7796,7 @@ CONFIG_CRYPTO_VMAC=m
#
CONFIG_CRYPTO_CRC32C=y
CONFIG_CRYPTO_CRC32C_INTEL=m
-CONFIG_CRYPTO_CRC32=m
+CONFIG_CRYPTO_CRC32=y
CONFIG_CRYPTO_CRC32_PCLMUL=m
CONFIG_CRYPTO_CRCT10DIF=y
CONFIG_CRYPTO_GHASH=y
diff --git a/source/k/kernel-configs/config-huge-4.19.4.x64 b/source/k/kernel-configs/config-huge-4.19.5.x64
index 3891abadb..746f8ab8c 100644
--- a/source/k/kernel-configs/config-huge-4.19.4.x64
+++ b/source/k/kernel-configs/config-huge-4.19.5.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.4 Kernel Configuration
+# Linux/x86 4.19.5 Kernel Configuration
#
#
@@ -7332,7 +7332,7 @@ CONFIG_BTRFS_FS_POSIX_ACL=y
# CONFIG_BTRFS_ASSERT is not set
# CONFIG_BTRFS_FS_REF_VERIFY is not set
CONFIG_NILFS2_FS=m
-CONFIG_F2FS_FS=m
+CONFIG_F2FS_FS=y
CONFIG_F2FS_STAT_FS=y
CONFIG_F2FS_FS_XATTR=y
CONFIG_F2FS_FS_POSIX_ACL=y
@@ -7754,7 +7754,7 @@ CONFIG_CRYPTO_VMAC=m
#
CONFIG_CRYPTO_CRC32C=y
CONFIG_CRYPTO_CRC32C_INTEL=m
-CONFIG_CRYPTO_CRC32=m
+CONFIG_CRYPTO_CRC32=y
CONFIG_CRYPTO_CRC32_PCLMUL=m
CONFIG_CRYPTO_CRCT10DIF=y
CONFIG_CRYPTO_CRCT10DIF_PCLMUL=m
diff --git a/source/k/kernel-configs/config-huge-smp-4.19.4-smp b/source/k/kernel-configs/config-huge-smp-4.19.5-smp
index f670175c8..4bfbcf528 100644
--- a/source/k/kernel-configs/config-huge-smp-4.19.4-smp
+++ b/source/k/kernel-configs/config-huge-smp-4.19.5-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.4 Kernel Configuration
+# Linux/x86 4.19.5 Kernel Configuration
#
#
@@ -7441,7 +7441,7 @@ CONFIG_BTRFS_FS_POSIX_ACL=y
# CONFIG_BTRFS_ASSERT is not set
# CONFIG_BTRFS_FS_REF_VERIFY is not set
CONFIG_NILFS2_FS=m
-CONFIG_F2FS_FS=m
+CONFIG_F2FS_FS=y
CONFIG_F2FS_STAT_FS=y
CONFIG_F2FS_FS_XATTR=y
CONFIG_F2FS_FS_POSIX_ACL=y
@@ -7851,7 +7851,7 @@ CONFIG_CRYPTO_VMAC=m
#
CONFIG_CRYPTO_CRC32C=y
CONFIG_CRYPTO_CRC32C_INTEL=m
-CONFIG_CRYPTO_CRC32=m
+CONFIG_CRYPTO_CRC32=y
CONFIG_CRYPTO_CRC32_PCLMUL=m
CONFIG_CRYPTO_CRCT10DIF=y
CONFIG_CRYPTO_GHASH=y
diff --git a/source/l/graphite2/graphite2.SlackBuild b/source/l/graphite2/graphite2.SlackBuild
new file mode 100755
index 000000000..8d42ca20f
--- /dev/null
+++ b/source/l/graphite2/graphite2.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=graphite2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -Wno-dev ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING* LICENSE* README* Todo* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/graphite2/graphite2.url b/source/l/graphite2/graphite2.url
new file mode 100644
index 000000000..fea528e97
--- /dev/null
+++ b/source/l/graphite2/graphite2.url
@@ -0,0 +1,2 @@
+http://graphite.sil.org/
+https://github.com/silnrsi/graphite
diff --git a/source/l/graphite2/slack-desc b/source/l/graphite2/slack-desc
new file mode 100644
index 000000000..fb3e6e841
--- /dev/null
+++ b/source/l/graphite2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+graphite2: graphite2 (rendering engine for graphite fonts)
+graphite2:
+graphite2: Graphite is a system that can be used to create "smart fonts" capable
+graphite2: of displaying writing systems with various complex behaviors. A smart
+graphite2: font contains not only letter shapes but also additional instructions
+graphite2: indicating how to combine and position the letters in complex ways.
+graphite2:
+graphite2: Homepage: http://graphite.sil.org/
+graphite2:
+graphite2:
+graphite2:
diff --git a/source/l/harfbuzz/harfbuzz.SlackBuild b/source/l/harfbuzz/harfbuzz.SlackBuild
index 354fa0fbc..0a4ae61f4 100755
--- a/source/l/harfbuzz/harfbuzz.SlackBuild
+++ b/source/l/harfbuzz/harfbuzz.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=harfbuzz
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,8 +85,10 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --with-gobject=auto \
+ --with-glib=yes \
+ --with-gobject=yes \
--with-graphite2=auto \
+ --enable-introspection=yes \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--build=$ARCH-slackware-linux || exit 1
diff --git a/source/t/texlive/texlive.SlackBuild b/source/t/texlive/texlive.SlackBuild
index 5e7bd5664..9402ea38d 100755
--- a/source/t/texlive/texlive.SlackBuild
+++ b/source/t/texlive/texlive.SlackBuild
@@ -33,7 +33,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texlive
SOURCEVERSION=${SOURCEVERSION:-20180414}
VERSION=${VERSION:-2018.180822}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TMP=${TMP:-/tmp}
PKG=$TMP/package-texlive
@@ -113,7 +113,6 @@ if [ ! "$SYSTEMPOPPLER" = "NO" ]; then
mv -v texk/web2c/pdftexdir/pdftosrc{-newpoppler,}.cc || exit 1
fi
-# --with-system-harfbuzz requires graphite2 (and harfbuzz linked to it)
mkdir build
cd build
CFLAGS="$SLKCFLAGS" \
@@ -153,7 +152,7 @@ cd build
--with-system-mpfr \
--with-system-fontconfig \
--with-system-ncurses \
- --without-system-harfbuzz \
+ --with-system-harfbuzz \
--disable-aleph \
--disable-dump-share \
--disable-linked-scripts \